Page MenuHomePhabricator

[libc++] [docs] Add C++2b (to be C++23) status page.
ClosedPublic

Authored by curdeius on Nov 30 2020, 2:52 AM.

Details

Reviewers
ldionne
miscco
Group Reviewers
Restricted Project
Commits
rG590bbfe0d804: [libc++] [docs] Add C++2b (to be C++23) status page.
Summary

Also:

  • Fix header line in all status tables.
  • Use C++20 instead of C++2a.

Diff Detail

Event Timeline

curdeius created this revision.Nov 30 2020, 2:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 30 2020, 2:52 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
curdeius requested review of this revision.Nov 30 2020, 2:52 AM
miscco accepted this revision.Nov 30 2020, 3:04 AM
miscco added a subscriber: miscco.

Awesome, thanks a lot!

Thanks for the patch.
One minor nit, other than that LGTM.

libcxx/docs/Cxx2aStatus.rst
18

Can you add a line mentioning the standard was approved in September 2020?
(https://herbsutter.com/2020/09/06/c20-approved-c23-meetings-and-schedule-update/)

ldionne accepted this revision.Dec 2 2020, 1:06 PM

LGTM with @Mordante 's suggestion. Thanks!

This revision is now accepted and ready to land.Dec 2 2020, 1:06 PM
This revision was automatically updated to reflect the committed changes.